std::independent_bits_engine< _RandomNumberEngine, __w, _UIntType > Class Template Reference
Numerics » Random Number Generation » Random Number Generators

## Public Types

typedef _UIntType | result_type

## Public Member Functions

| independent_bits_engine ()
| independent_bits_engine (_RandomNumberEngine &&__rng)
template<typename _Sseq , typename = typename std::enable_if<!std::is_same<_Sseq, independent_bits_engine>::value && !std::is_same<_Sseq, _RandomNumberEngine>::value> ::type>
| independent_bits_engine (_Sseq &__q)
| independent_bits_engine (const _RandomNumberEngine &__rng)
| independent_bits_engine (result_type __s)
const _RandomNumberEngine & | base () const noexcept
void | discard (unsigned long long __z)
result_type | operator() ()
void | seed ()
template<typename _Sseq >
void | seed (_Sseq &__q)
void | seed (result_type __s)

## Static Public Member Functions

static constexpr result_type | max ()
static constexpr result_type | min ()

## Friends

bool | operator== (const independent_bits_engine &__lhs, const independent_bits_engine &__rhs)
template<typename _CharT , typename _Traits >
std::basic_istream< _CharT, _Traits > & | operator>> (std::basic_istream< _CharT, _Traits > &__is, std::independent_bits_engine< _RandomNumberEngine, __w, _UIntType > &__x)

## Detailed Description

### template<typename _RandomNumberEngine, size_t __w, typename _UIntType>
class std::independent_bits_engine< _RandomNumberEngine, __w, _UIntType >

Produces random numbers by combining random numbers from some base engine to produce random numbers with a specifies number of bits `__w`.

Definition at line 1066 of file random.h.

The documentation for this class was generated from the following files:

- random.h
- bits/random.tcc